VeritasVolume (CMDB Model API)
Keywords: com.collation.platform.model.topology.dev.veritas.VeritasVolume interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.dev.veritas
Interface VeritasVolume

All Superinterfaces:
  LogicalDevice, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, StorageExtent, StorageVolume

    public interface VeritasVolume

extends StorageVolume

Virtual Veritas object that is exposed for application use. It is not constrained, though, by the physical limitations of disk device. A Volume must have at least one plex.

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`int` | `getKernelState()` State of the kernel associated with a volume instance.
`VeritasPlex[]` | `getPlexes()`
`VeritasStorageService` | `getService()`
`int` | `getState()` The state of the Veritas Volume instance.
`boolean` | `hasKernelState()`
`boolean` | `hasPlexes()`
`boolean` | `hasService()`
`boolean` | `hasState()`
`void` | `setKernelState(int x)`
`void` | `setPlexes(VeritasPlex[] x)`
`void` | `setService(VeritasStorageService x)`
`void` | `setState(int x)`

Methods inherited from interface com.collation.platform.model.topology.dev.StorageVolume
`getIOGroup, getNumOfCylinders, getType, hasIOGroup, hasNumOfCylinders, hasType, setIOGroup, setNumOfCylinders, setType`

Methods inherited from interface com.collation.platform.model.topology.dev.StorageExtent
`getBasedOn, getBlockSize, getCapacity, getController, getDeviceID, getFreeSpace, getName, getNumOfBlocks, getParent, getRealizedBy, getVirtual, hasBasedOn, hasBlockSize, hasCapacity, hasController, hasDeviceID, hasFreeSpace, hasName, hasNumOfBlocks, hasParent, hasRealizedBy, hasVirtual, setBasedOn, setBlockSize, setCapacity, setController, setDeviceID, setFreeSpace, setName, setNumOfBlocks, setParent, setRealizedBy, setVirtual`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getService

    VeritasStorageService getService()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Exposes" reverse="true"

### setService

    void setService(VeritasStorageService x)

### hasService

    boolean hasService()

### getState

    int getState()
                 throws AttributeNotSetException

  The state of the Veritas Volume instance.

  Throws:
    `AttributeNotSetException`

### setState

    void setState(int x)

### hasState

    boolean hasState()

### getPlexes

    VeritasPlex[] getPlexes()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setPlexes

    void setPlexes(VeritasPlex[] x)

### hasPlexes

    boolean hasPlexes()

### getKernelState

    int getKernelState()
                       throws AttributeNotSetException

  State of the kernel associated with a volume instance.

  Throws:
    `AttributeNotSetException`

### setKernelState

    void setKernelState(int x)

### hasKernelState

    boolean hasKernelState()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD